<?php
namespace gateways;

class panelchi{

    public static function panelchi($token, $mobile, $fromnum, $patternID, $code) {
        ini_set("soap.wsdl_cache_enabled", "0");
        
        $client = new \SoapClient("http://185.141.171.123/wbs/send.php?wsdl");
    
        $content = json_encode(array("verification-code"=>$code), JSON_UNESCAPED_UNICODE);
        $toNum = array($mobile);
        $type = 0; // 0 = Default value according to their example
    
        $response = $client->SendSMSByPattern($fromnum, $toNum, $content, $patternID, $type, $token);
    
        return $response;
    }
    
}
